Subject: bug#23644: [bug-diffutils] bug#23644: bug#23644: bug with context greater than 0

From: Jim Meyering <[email-masked]>
Date: Tue, 31 May 2016 07:53:58 -0700

tags 23644 notabug
close 23644
thanks

On Sat, May 28, 2016 at 11:46 PM, Paul Eggert <[email-masked]> wrote:
> Claude wrote:
>>
>> Notice that  on the original file diff specifies that it will list context
>> lines
>> content 1,2 for the
>> beginning and 24,25 for the end, but the lines are not displayed in the
>> diff
>> block description.
>
>
> Yes they are; they are common context, e.g., lines 24-25 of the first file
> are the same as lines 24-25 of the second file, so they are displayed once
> with leading ' '.
>
>> The two context lines appear for the modified files for the same
>> differences
>> though.
>> Also, the two context lines are displayed, at top, and at bottom when
>> differences occure in the middle of the file.
>
> Sorry, I don't see the bugs here; the output looks OK to me.

Same here, so I'm marking this auto-created 'issue' as a non-bug and closing it.